<?php

namespace Hura8\Components\Staff\Model;

use Hura8\Interfaces\AppResponse;
use Hura8\System\Model\aEntityBaseModel;

class StaffLogModel extends aEntityBaseModel
{

    public function __construct()
    {
        parent::__construct('staff_log');
    }


    protected function extendedFilterOptions() : array
    {
        return [
            // empty for now
        ];
    }


    protected function _buildQueryConditionExtend(array $condition) : ?array
    {
        $where_clause = "";
        $bind_types = [];
        $bind_values = [];

        return [
            $where_clause,
            $bind_types,
            $bind_values
        ];
    }

}
